TouchPoint.State (JavaFX 28)
Description: declaration: module: javafx.graphics, package: javafx.scene.input, class: TouchPoint, enum: State

# Enum Class TouchPoint.State

java.lang.Object
java.lang.Enum<TouchPoint.State>
javafx.scene.input.TouchPoint.State

All Implemented Interfaces:
  `Serializable, Comparable<TouchPoint.State>, Constable`

Enclosing class:
  `TouchPoint`

public static enum TouchPoint.State extends Enum<TouchPoint.State>
Represents current state of the touch point

Since:
  JavaFX 2.2

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MOVED`
  The touch point has been moved
  `PRESSED`
  The touch point has just been pressed (touched for the first time)
  `RELEASED`
  The touch point has been released
  `STATIONARY`
  The touch point remains pressed and still (without moving)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TouchPoint.State`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TouchPoint.State[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PRESSED

    public static final TouchPoint.State PRESSED
    The touch point has just been pressed (touched for the first time)

  - ### MOVED

    public static final TouchPoint.State MOVED
    The touch point has been moved

  - ### STATIONARY

    public static final TouchPoint.State STATIONARY
    The touch point remains pressed and still (without moving)

  - ### RELEASED

    public static final TouchPoint.State RELEASED
    The touch point has been released

- ## Method Details

  - ### values

    public static TouchPoint.State[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TouchPoint.State valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null